import request from '@/utils/request'

// 查询直播用户中奖记录列表
export function listLiveUserLotteryRecord(query) {
  return request({
    url: '/live/liveUserLotteryRecord/list',
    method: 'get',
    params: query
  })
}

// 查询直播用户中奖记录详细
export function getLiveUserLotteryRecord(id) {
  return request({
    url: '/live/liveUserLotteryRecord/' + id,
    method: 'get'
  })
}

// 新增直播用户中奖记录
export function addLiveUserLotteryRecord(data) {
  return request({
    url: '/live/liveUserLotteryRecord',
    method: 'post',
    data: data
  })
}

// 修改直播用户中奖记录
export function updateLiveUserLotteryRecord(data) {
  return request({
    url: '/live/liveUserLotteryRecord',
    method: 'put',
    data: data
  })
}

// 删除直播用户中奖记录
export function delLiveUserLotteryRecord(id) {
  return request({
    url: '/live/liveUserLotteryRecord/' + id,
    method: 'delete'
  })
}

// 导出直播用户中奖记录
export function exportLiveUserLotteryRecord(query) {
  return request({
    url: '/live/liveUserLotteryRecord/export',
    method: 'get',
    params: query
  })
}


// 查询单一数据的中奖信息
export function info(data) {
  return request({
    url: '/live/liveUserLotteryRecord/info',
    method: 'post',
    data: data
  })
}
